Subject: bug#51577: 27.2; Regression: reproducible hang with face functions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Nov 2021 21:32:42 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 4 Nov 2021 19:48:56 +0100
> 
>  > We do try to detect loops in other situations (to avoid hangs).  This is
>  > in redisplay code, though (I think?), so perhaps it would be
>  > prohibitively expensive to try to detect loops here?
> 
> FWIW this hangs in some assq_no_quit in Emacs 27 only.  I have not been
> able to reproduce it in Emacs 28.  Can you?

No, it infloops in face_inherited_attr, and I see it in Emacs 28 as
well.